Page({
  data: {
    statusBarHeight: 44, // 导航高度
  },
  onLoad() {
    const _this=this;
    // 获取设备的信息  
    let systemInfo = wx.getSystemInfoSync();
    // 获取信号区高度, 并设置标题高度
    let statusBarHeight = systemInfo['statusBarHeight'];
    // console.log(systemInfo.platform);
    if (systemInfo.platform === 'andorid') {
      statusBarHeight = statusBarHeight + 10;
    } else if (systemInfo.platform === 'ios') {
      statusBarHeight = statusBarHeight + 6;
    } else if (systemInfo.platform === 'devtools') {
      statusBarHeight = statusBarHeight + 8;
    } else {
      statusBarHeight = statusBarHeight;
    }
    this.setData({
      statusBarHeight
    });
  },
  // 分享朋友
  onShareAppMessage: (res) => {
    return {
      title: '业主思维',
      path: '/pages/basicInformation/basicInformation',
      imageUrl: "http://8.140.133.55:8096/public/uploadfile/logo.png",
      success: (res) => {
        console.log("转发成功", res);
      },
      fail: (res) => {
        console.log("转发失败", res);
      }
    }
  },
  // 分享朋友圈
  onShareTimeline: (res) => {
    return {
      title: '业主思维',
      path: '/pages/basicInformation/basicInformation',
      imageUrl: "http://8.140.133.55:8096/public/uploadfile/logo.png",
      success: (res) => {
        console.log("转发成功", res);
      },
      fail: (res) => {
        console.log("转发失败", res);
      }
    }
  },
})